<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/DefaultFrontend.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/NewsPane.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/CategoryArticlesPanel.inc.php" );
	
	class NewsPage extends DefaultFrontend {
		protected $oNewsPane;

		public function __construct( $id = "NewsPage" , $parent = null , $pagetype = "news"  ) {
			parent::__construct( $id , $parent , $pagetype );
			$this->oNewsPane = new CategoryArticlesPanel( "content_widget" , $this , "--news--" );
		}
	}

?>
